Bug 1920248 - re-running the pipelinerun with pipelinespec crashes the UI
Summary: re-running the pipelinerun with pipelinespec crashes the UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Aritra Roy
QA Contact: Karthik Jeeyar
URL:
Whiteboard:
Depends On:
Blocks: 1924069
TreeView+ depends on / blocked
 
Reported: 2021-01-25 22:03 UTC by Aritra Roy
Modified: 2021-02-24 15:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1924069 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:55:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
fix rerun pipeline run when embedded pipelineSpec present (388.25 KB, image/gif)
2021-01-25 22:03 UTC, Aritra Roy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7923 0 None closed Bug 1920248: fix pipeline rerun when pipelineSpec is embedded 2021-02-01 15:37:13 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:25 UTC

Description Aritra Roy 2021-01-25 22:03:26 UTC
Created attachment 1750725 [details]
fix rerun pipeline run when embedded pipelineSpec present

Description of problem:
While re-running the pipelineRun with embedded pipelinespec causes the UI to crash.

Prerequisites (if any, like setup, operators/versions):
Openshift Pipeline Operator 1.2

Steps to Reproduce:
1. create a pipeline with embedded pipelineSpec

apiVersion: tekton.dev/v1beta1
kind: PipelineRun
metadata:
  name: pipelinerun-with-taskspec-to-echo-good-morning
spec:
  pipelineSpec:
    tasks:
      - name: echo-good-morning
        taskSpec:
          metadata:
            labels:
              app: "example"
          steps:
            - name: echo
              image: ubuntu
              script: |
                #!/usr/bin/env bash
                echo "Good Morning!"

Actual results:
rerun action throws an error in the browser console

Expected results:
re-run action should not result in unhandled error and it should re run the pipelinerun successfully.

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
4.7.0-0.nightly-2021-01-22-134922

Comment 2 Karthik Jeeyar 2021-02-02 10:02:53 UTC
Verified in  4.7.0-0.nightly-2021-02-01-180932.

Comment 5 errata-xmlrpc 2021-02-24 15:55:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.